Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 624601 - /usr/libexec/plymouth/plymouth-update-initrd uses old style mkinitrd
/usr/libexec/plymouth/plymouth-update-initrd uses old style mkinitrd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
14
All Linux
high Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 03:55 EDT by Wesley S. Hearn
Modified: 2010-09-01 01:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: plymouth-0.8.4-0.20100823.2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 01:55:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wesley S. Hearn 2010-08-17 03:55:15 EDT
Description of problem:
/usr/libexec/plymouth/plymouth-update-initrd still uses the legacy mkinitrd instead of the newer dracut

Version-Release number of selected component (if applicable):
0.8.4

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora 14/Rawhide
2. Run plymouth-set-default-theme -R <theme>
3. Reboot
  
Actual results:
It creates a initrd and not a initramfs

Expected results:
Generate a initramfs for the current kernel with the new theme.

Additional info:
replace the mkinitrd line in /usr/libexec/plymouth/plymouth-update-initrd to 
dracut -f /boot/initramfs-$(uname -r).img $(uname -r)
Comment 1 Fedora Update System 2010-08-26 14:42:05 EDT
plymouth-0.8.4-0.20100823.2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/plymouth-0.8.4-0.20100823.2.fc14
Comment 2 Fedora Update System 2010-08-26 22:20:46 EDT
plymouth-0.8.4-0.20100823.2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update plymouth'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/plymouth-0.8.4-0.20100823.2.fc14
Comment 3 Fedora Update System 2010-09-01 01:55:07 EDT
plymouth-0.8.4-0.20100823.2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.